/*****************************************************************************/
// PrintOptionsWindow
// Written by Sanao
//
// ShowImageLocalStrings.h
//
//
// Copyright (c) 2003 OpenBeOS Project
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense, 
// and/or sell copies of the Software, and to permit persons to whom the 
// Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included 
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
// DEALINGS IN THE SOFTWARE.
/*****************************************************************************/

#ifndef _ShowImageLocalStrings_h
#define _ShowImageLocalStrings_h

//English local strings
#define LOC_STR_FIT_IMAGE_TO_PAGE "Fit Image to Page"
#define LOC_STR_ZOOM_FACTOR_IN_PERCENT "Zoom Factor in %: "
#define LOC_STR_DPI "DPI: "
#define LOC_STR_RESIZE_TO "Resize To (in 1/72 Inches):"
#define LOC_STR_WIDTH "Width: "
#define LOC_STR_HEIGHT "Height: "
#define LOC_STR_JOB_SETUP "Job Setup"
#define LOC_STR_ABOUT_SHOWIMAGE "About ShowImage"
#define LOC_STR_ABOUT_SHOWIMAGE_TEXT "OBOS ShowImage\n\nby Fernando F. Oliveira, Michael Wilber and Michael Pfeiffer"
#define LOC_STR_OK "OK"
#define LOC_STR_VIEW "View"
#define LOC_STR_CANCEL "Cancel"
#define LOC_STR_COULD_NOT_LOAD_IMAGE "Could not load image! Either the file or an image translator for it does not exist."
#define LOC_STR_SLIDE_SHOW "Slide Show"
#define LOC_STR_SLIDE_DELAY "Slide Delay"
#define LOC_STR_3_SEC "Three Seconds"
#define LOC_STR_4_SEC "Four Seconds"
#define LOC_STR_5_SEC "Five Seconds"
#define LOC_STR_6_SEC "Six Seconds"
#define LOC_STR_7_SEC "Seven Seconds"
#define LOC_STR_8_SEC "Eight Seconds"
#define LOC_STR_9_SEC "Nine Seconds"
#define LOC_STR_10_SEC "Ten Seconds"
#define LOC_STR_12_SEC "Twenty Seconds"
#define LOC_STR_ORIGINAL_SIZE "Original Size"
#define LOC_STR_ZOOM_IN "Zoom In"
#define LOC_STR_ZOOM_OUT "Zoom Out"
#define LOC_STR_SCALE_BILINEAR "Scale Bilinear"
#define LOC_STR_SHRINK_TO_WINDOW "Shrink to Window"
#define LOC_STR_ZOOM_TO_WINDOW "Zoom to Window"
#define LOC_STR_FULL_SCREEN "Full Screen"
#define LOC_STR_SHOW_CAPTION_IN_FULL_SCREEN_MODE "Show Caption in Full Screen Mode"
#define LOC_STR_FILE "File"
#define LOC_STR_OPEN "Open"
#define LOC_STR_SAVE_AS "Save As"
#define LOC_STR_CLOSE "Close"
#define LOC_STR_PAGE_SETUP "Page Setup"
#define LOC_STR_PRINT "Print"
#define LOC_STR_QUIT "Quit"
#define LOC_STR_EDIT "Edit"
#define LOC_STR_UNDO "Undo"
#define LOC_STR_CUT "Cut"
#define LOC_STR_COPY "Copy"
#define LOC_STR_PASTE "Paste"
#define LOC_STR_CLEAR "Clear"
#define LOC_STR_SELECT_ALL "Select All"
#define LOC_STR_BROWSE "Browse"
#define LOC_STR_FIRST_PAGE "First Page"
#define LOC_STR_LAST_PAGE "Last Page"
#define LOC_STR_NEXT_PAGE "Next Page"
#define LOC_STR_PREVIOUS_PAGE "Previous Page"
#define LOC_STR_GO_TO_PAGE "Go To Page"
#define LOC_STR_NEXT_FILE "Next File"
#define LOC_STR_PREVIOUS_FILE "Previous File"
#define LOC_STR_IMAGE "Image"
#define LOC_STR_DITHER_IMAGE "Dither Image"
#define LOC_STR_ROTATE_MORE_90 "Rotate +90°"
#define LOC_STR_ROTATE_LESS_90 "Rotate -90°"
#define LOC_STR_MIRROR_VERT "Mirror Vertical"
#define LOC_STR_MIRROR_HORIZ "Mirror Horizontal"
#define LOC_STR_INVERT "Invert"
#define LOC_STR_ERROR_WRITING_IMAGE_FILE "Error writing image file."

/*
//French local strings
#define LOC_STR_FIT_IMAGE_TO_PAGE "Ajuster l'image à la page"
#define LOC_STR_ZOOM_FACTOR_IN_PERCENT "Facteur du zoom en %: "
#define LOC_STR_DPI "DPI: "
#define LOC_STR_RESIZE_TO "Redimensioner (en 1/72 de pouces):"
#define LOC_STR_WIDTH "Largeur: "
#define LOC_STR_HEIGHT "Hauteur: "
#define LOC_STR_JOB_SETUP "Configurer les travaux d'impression"
#define LOC_STR_ABOUT_SHOWIMAGE "A propos de ShowImage"
#define LOC_STR_ABOUT_SHOWIMAGE_TEXT "OBOS ShowImage\n\nDéveloppé par Fernando F. Oliveira, Michael Wilber et Michael Pfeiffer\n\nTraduit en Français pas Sanao (sanao@free.fr), s'il y a une erreur de traduction, n'hésitez pas à me contacter"
#define LOC_STR_OK "OK"
#define LOC_STR_VIEW "Vue"
#define LOC_STR_CANCEL "Annuler"
#define LOC_STR_COULD_NOT_LOAD_IMAGE "Impossible de charger l'image! Le fichier ou le Translator d'image adéquate n'existe pas."
#define LOC_STR_SLIDE_SHOW "Défilement"
#define LOC_STR_SLIDE_DELAY "Délai du défilement"
#define LOC_STR_3_SEC "Trois Secondes"
#define LOC_STR_4_SEC "Quatre Secondes"
#define LOC_STR_5_SEC "Cinq Secondes"
#define LOC_STR_6_SEC "Six Secondes"
#define LOC_STR_7_SEC "Sept Secondes"
#define LOC_STR_8_SEC "Huit Secondes"
#define LOC_STR_9_SEC "Neuf Secondes"
#define LOC_STR_10_SEC "Dix Secondes"
#define LOC_STR_12_SEC "Douze Secondes"
#define LOC_STR_ORIGINAL_SIZE "Taille originale"
#define LOC_STR_ZOOM_IN "Zoom avant"
#define LOC_STR_ZOOM_OUT "Zoom arrière"
#define LOC_STR_SCALE_BILINEAR "Balance bilinéaire"
#define LOC_STR_SHRINK_TO_WINDOW "Adapter la taille de l'image à la fenêtre"
#define LOC_STR_ZOOM_TO_WINDOW "Fixer la taille"
#define LOC_STR_FULL_SCREEN "Plein écran"
#define LOC_STR_SHOW_CAPTION_IN_FULL_SCREEN_MODE "Afficher le nom de l'image en mode plein écran"
#define LOC_STR_FILE "Fichier"
#define LOC_STR_OPEN "Ouvrir"
#define LOC_STR_SAVE_AS "Sauvegarder sous"
#define LOC_STR_CLOSE "Fermer"
#define LOC_STR_PAGE_SETUP "Configurer l'impression"
#define LOC_STR_PRINT "Imprimer"
#define LOC_STR_QUIT "Quitter"
#define LOC_STR_EDIT "Editer"
#define LOC_STR_UNDO "Annuler l'action"
#define LOC_STR_CUT "Couper"
#define LOC_STR_COPY "Copier"
#define LOC_STR_PASTE "Coller"
#define LOC_STR_CLEAR "Annuler la sélection"
#define LOC_STR_SELECT_ALL "Selectionner tout"
#define LOC_STR_BROWSE "Naviguer"
#define LOC_STR_FIRST_PAGE "Première page"
#define LOC_STR_LAST_PAGE "Dernière page"
#define LOC_STR_NEXT_PAGE "Page suivante"
#define LOC_STR_PREVIOUS_PAGE "Page précédente"
#define LOC_STR_GO_TO_PAGE "Aller à la page"
#define LOC_STR_NEXT_FILE "Fichier suivant"
#define LOC_STR_PREVIOUS_FILE "Fichier précédent"
#define LOC_STR_IMAGE "Image"
#define LOC_STR_DITHER_IMAGE "Tramer l'image"
#define LOC_STR_ROTATE_MORE_90 "Rotation de +90°"
#define LOC_STR_ROTATE_LESS_90 "Rotation de -90°"
#define LOC_STR_MIRROR_VERT "Inverser verticalement"
#define LOC_STR_MIRROR_HORIZ "Inverser horizontalement"
#define LOC_STR_INVERT "Négatif"
#define LOC_STR_ERROR_WRITING_IMAGE_FILE "Impossible d'écrire le ficher image."
*/
#endif
